div
  ryax-repository-scan-header([repository]="source$ | async", (refresh)="refresh()", (edit)="editRepository($event)")

//div.mt1
  ryax-repository-scan-form([loading]="sourceScanProcessing$ | async", (submitScan)="submitScan($event)")

div.mt1
  ryax-repository-scan-built-modules([modulesBuilt]="builtModules$ | async",
    (build)="onBuild($event)", (duplicate)="openDuplicateModal()", (scanError)="openScanErrorModal($event)", (updateSort)="onUpdateSort($event)")

div.mt1
  ryax-repository-scan-result([loading]="sourceScanProcessing$ | async", [result]="sourceScanResult$ | async", [lastScan]="lastScanModules$ | async", [lastScanSha]="lastScanSha$ | async", [modulesTemplate]="sourceScanModules",
    (openScanModal)="openScanModal()", (build)="onBuild($event)", (duplicate)="openDuplicateModal()", (scanError)="openScanErrorModal($event)", (updateSort)="onUpdateSort($event)")
  ng-template(#sourceScanModules)
    ryax-repository-scan-modules([modulesScanned]="sourceScanModules$ | async",
      (build)="onBuild($event)", (onDuplicate)="openDuplicateModal()", (scanError)="openScanErrorModal($event)", (updateSort)="onUpdateSort($event)")

ryax-module-delete-duplicate-modal([visible]="deleteDuplicateModalVisible$ | async",
  (valid)="validateModuleDeleteDuplicate()", (cancel)="cancelModuleDeleteDuplicate()")

ryax-module-scan-error-modal([visible]="scanErrorModalVisible$ | async", [module]="selectedSourceScanModule$ | async",
  (cancel)="cancelScanErrorModal()")

ryax-module-scan-branch-modal([visible]="scanModalBranchVisibility$ | async",
  (submitScan)="submitScan($event)", (close)="closeScanModal()")

ryax-repository-feature-edit
